## mapnik 3.0.12~rc1+ds

=== debian/changelog ===
mapnik (3.0.12~rc1+ds-1~exp2) experimental; urgency=medium

  * Require at least mapbox-variant 1.1.1 for libmapnik-dev dependency too.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 06 Aug 2016 13:02:58 +0200

mapnik (3.0.12~rc1+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
    - Fixes FTBFS with Boost 1.61.
  * Bump Standards-Version to 3.9.8, no changes.
  * Require at least mapbox-variant 1.1.1.
  * Update copyright file, changes:
    - Add Upstream-Name to copyright file.
    - Reorder Files sections

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Aug 2016 14:56:24 +0200

=== debian/control ===
Source: mapnik
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>,
           David Paleino <dapal@debian.org>,
           Francesco Paolo Lovergine <frankie@debian.org>,
           Jérémy Lal <kapouer@melix.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: libs
Priority: optional
Build-Depends: scons,
               debhelper (>= 9~),
               libtool,
               libboost-filesystem-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libboost-regex-dev,
               libboost-program-options-dev,
               libharfbuzz-dev,
               libicu-dev,
               libmapbox-variant-dev (>= 1.1.1),
               libpng-dev,
               libjpeg-dev,
               libtiff-dev,
               zlib1g-dev,
               libfreetype6-dev,
               libxml2-dev,
               libproj-dev,
               libcairo-dev,
               pkg-config,
               libpq-dev,
               libgdal-dev,
               libsqlite3-dev,
               libcurl4-gnutls-dev,
               libwebp-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapnik.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapnik.git
Homepage: http://www.mapnik.org/

Package: libmapnik3.0
Architecture: any-amd64 i386 arm64 armel armhf powerpc ppc64el s390x alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ttf-dejavu
Suggests: postgis
Description: C++ toolkit for developing GIS applications (libraries)
 Mapnik is an OpenSource C++ toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 This package contains the shared library and input plugins.

Package: libmapnik-dev
Architecture: any-amd64 i386 arm64 armel armhf powerpc ppc64el s390x alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
Section: libdevel
Depends: ${misc:Depends},
         libmapnik3.0 (= ${binary:Version}),
         libc6-dev | libc-dev,
         libboost-filesystem-dev,
         libboost-system-dev,
         libboost-thread-dev,
         libboost-regex-dev,
         libboost-program-options-dev,
         libharfbuzz-dev,
         libicu-dev,
         libmapbox-variant-dev (>= 1.1.1),
         libpng-dev,
         libjpeg-dev,
         libtiff-dev,
         zlib1g-dev,
         libfreetype6-dev,
         libxml2-dev,
         libproj-dev,
         libcairo2-dev,
         pkg-config,
         libpq-dev,
         libgdal-dev,
         libsqlite3-dev,
         libcurl4-gnutls-dev,
         libwebp-dev
Recommends: mapnik-doc
Breaks: libmapnik2-dev (<< 2.2.0+ds1-1~)
Replaces: libmapnik2-dev (<< 2.2.0+ds1-1~)
Description: C++ toolkit for developing GIS applications (devel)
 Mapnik is an OpenSource C++ toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 This package contains the development headers, API documentation, and
 build utilities.

Package: mapnik-utils
Architecture: any-amd64 i386 arm64 armel armhf powerpc ppc64el s390x alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
Section: utils
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C++ toolkit for developing GIS applications (utilities)
 Mapnik is an OpenSource C++ toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 This package contains miscellaneous utilities distributed with mapnik:
 .
 shapeindex: program to creates file system based index for ESRI shape-files

Package: mapnik-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: libmapnik-dev
Description: C++ toolkit for developing GIS applications (doc)
 Mapnik is an OpenSource C++ toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 This package contains developer documentation.

## mapnik 3.0.12~rc6+ds

=== debian/changelog ===
mapnik (3.0.12~rc6+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Aug 2016 18:56:15 +0200

mapnik (3.0.12~rc5+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 22 Aug 2016 22:21:22 +0200

mapnik (3.0.12~rc4+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop Debian OpenStreetMap Team from Uploaders.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 18 Aug 2016 19:53:39 +0200

mapnik (3.0.12~rc3+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 12 Aug 2016 19:52:20 +0200

mapnik (3.0.12~rc2+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 10 Aug 2016 12:36:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: mapnik
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
-Uploaders: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>,
-           David Paleino <dapal@debian.org>,
+Uploaders: David Paleino <dapal@debian.org>,
            Francesco Paolo Lovergine <frankie@debian.org>,
            Jérémy Lal <kapouer@melix.org>,
            Bas Couwenberg <sebastic@debian.org>

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags, except:
#  pie: causes python-mapnik build failure
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

NJOBS := -j1
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
NJOBS := -j$(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Disable parallel builds for problematic architectures
NO_PARALLEL_ARCHS = "arm64 armel armhf alpha hurd-i386 kfreebsd-i386 kfreebsd-amd64"

ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	# From mapnik (3.0.8+ds-1ubuntu1):
	# The amd64 buildds are castrated to 4G RAM and 4G swap,
	# the ppc64el buildds to 12G RAM and 4G swap.
	NO_PARALLEL_ARCHS += "amd64 ppc64el"
endif

ifneq (,$(findstring $(DEB_HOST_ARCH),$(NO_PARALLEL_ARCHS)))
	NJOBS = -j1
endif

# scons flags
SCONS = $(shell which scons)
SCONS_FLAGS := $(NJOBS)
# -O2
SCONS_FLAGS += OPTIMIZATION=2
SCONS_FLAGS += FULL_LIB_PATH=False
SCONS_FLAGS += INPUT_PLUGINS=csv,gdal,geojson,ogr,pgraster,postgis,raster,shape,sqlite,topojson
SCONS_FLAGS += PROJ_INCLUDES=/usr/include PROJ_LIBS=/usr/lib
SCONS_FLAGS += SYSTEM_FONTS=/usr/share/fonts
SCONS_FLAGS += XMLPARSER=libxml2
SCONS_FLAGS += DEMO=False
SCONS_FLAGS += CPP_TESTS=False
SCONS_FLAGS += PREFIX=/usr LIB_DIR_NAME=/mapnik/3.0
SCONS_FLAGS += CUSTOM_CXXFLAGS="$(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) -g0"
SCONS_FLAGS += CUSTOM_CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) -g0"
SCONS_FLAGS += CUSTOM_LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS) -g0"

%:
	dh $@ --parallel

override_dh_auto_clean:
	rm -rf build-python
	rm -rf debian/stamps
	dh_clean

override_dh_auto_configure: debian/stamps/configure-python
debian/stamps/configure-python:
	-mkdir build-python
	-mkdir debian/stamps
	cp -r demo deps fonts include plugins src test utils SConstruct build-python
	touch $@
	$(SCONS) -C build-python configure \
		$(SCONS_FLAGS) \
		CCFLAGS="$(CFLAGS)" \
		DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_build:	debian/stamps/build-python
debian/stamps/build-python:
	$(SCONS) $(NJOBS) -C build-python

override_dh_auto_test: debian/stamps/test-python
debian/stamps/test-python:
	# nothing yet

override_dh_auto_install: debian/stamps/install-python
debian/stamps/install-python:
	$(SCONS) $(NJOBS) -C build-python install

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_prep:
	dh_prep -Xdebian/tmp

## mapnik 3.0.12+ds

=== SConstruct ===
# This file is part of Mapnik (c++ mapping toolkit)
#
# Copyright (C) 2015 Artem Pavlenko
#
# Mapnik is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


import os
import sys
import re
import platform
from glob import glob
from copy import copy
from subprocess import Popen, PIPE
from SCons.SConf import SetCacheMode
import pickle

try:
    import distutils.sysconfig
    HAS_DISTUTILS = True
except:
    HAS_DISTUTILS = False

LIBDIR_SCHEMA_DEFAULT='lib'
severities = ['debug', 'warn', 'error', 'none']

ICU_INCLUDES_DEFAULT='/usr/include'
ICU_LIBS_DEFAULT='/usr/'

DEFAULT_CC = "cc"
DEFAULT_CXX = "c++"
DEFAULT_CXX11_CXXFLAGS = " -std=c++11"
DEFAULT_CXX11_LINKFLAGS = ""
if sys.platform == 'darwin':
    # homebrew default
    ICU_INCLUDES_DEFAULT='/usr/local/opt/icu4c/include/'
    ICU_LIBS_DEFAULT='/usr/local/opt/icu4c/'

py3 = None

# local file to hold custom user configuration variables
# Todo check timestamp, reload if changed?
SCONS_LOCAL_CONFIG = 'config.py'
# build log
SCONS_LOCAL_LOG = 'config.log'
# local pickled file to cache configured environment
SCONS_CONFIGURE_CACHE = 'config.cache'
# directory SCons uses to stash build tests
SCONF_TEMP_DIR = '.sconf_temp'
# auto-search directories for boost libs/headers
BOOST_SEARCH_PREFIXES = ['/usr/local','/opt/local','/sw','/usr',]
BOOST_MIN_VERSION = '1.47'
#CAIRO_MIN_VERSION = '1.8.0'

HARFBUZZ_MIN_VERSION = (0, 9, 34)
HARFBUZZ_MIN_VERSION_STRING = "%s.%s.%s" % HARFBUZZ_MIN_VERSION


DEFAULT_LINK_PRIORITY = ['internal','other','frameworks','user','system']


pretty_dep_names = {
    'clntsh':'Oracle database library | configure with OCCI_LIBS & OCCI_INCLUDES | more info: https://github.com/mapnik/mapnik/wiki/OCCI',
    'gdal':'GDAL C++ library | configured using gdal-config program | try setting GDAL_CONFIG SCons option | more info: https://github.com/mapnik/mapnik/wiki/GDAL',
    'ogr':'OGR-enabled GDAL C++ Library | configured using gdal-config program | try setting GDAL_CONFIG SCons option | more info: https://github.com/mapnik/mapnik/wiki/OGR',
    'cairo':'Cairo C library | configured using pkg-config | try setting PKG_CONFIG_PATH SCons option',
    'proj':'Proj.4 C Projections library | configure with PROJ_LIBS & PROJ_INCLUDES | more info: http://trac.osgeo.org/proj/',
    'pg':'Postgres C Library required for PostGIS plugin | configure with pg_config program or configure with PG_LIBS & PG_INCLUDES | more info: https://github.com/mapnik/mapnik/wiki/PostGIS',
    'sqlite3':'SQLite3 C Library | configure with SQLITE_LIBS & SQLITE_INCLUDES | more info: https://github.com/mapnik/mapnik/wiki/SQLite',
    'jpeg':'JPEG C library | configure with JPEG_LIBS & JPEG_INCLUDES',
    'tiff':'TIFF C library | configure with TIFF_LIBS & TIFF_INCLUDES',
    'png':'PNG C library | configure with PNG_LIBS & PNG_INCLUDES',
    'webp':'WEBP C library | configure with WEBP_LIBS & WEBP_INCLUDES',
    'icuuc':'ICU C++ library | configure with ICU_LIBS & ICU_INCLUDES or use ICU_LIB_NAME to specify custom lib name  | more info: http://site.icu-project.org/',
    'harfbuzz':'HarfBuzz text shaping library | configure with HB_LIBS & HB_INCLUDES',
    'harfbuzz-min-version':'HarfBuzz >= %s (required for font-feature-settings support)' % HARFBUZZ_MIN_VERSION_STRING,
    'z':'Z compression library | more info: http://www.zlib.net/',
    'm':'Basic math library, part of C++ stlib',
    'pkg-config':'pkg-config tool | more info: http://pkg-config.freedesktop.org',
    'pg_config':'pg_config program | try setting PG_CONFIG SCons option',
    'pq':'libpq library (postgres client) | try setting PG_CONFIG SCons option or configure with PG_LIBS & PG_INCLUDES',
    'xml2-config':'xml2-config program | try setting XML2_CONFIG SCons option or avoid the need for xml2-config command by configuring with XML2_LIBS & XML2_INCLUDES',
    'libxml2':'libxml2 library | try setting XML2_CONFIG SCons option to point to location of xml2-config program or configure with XML2_LIBS & XML2_INCLUDES',
    'gdal-config':'gdal-config program | try setting GDAL_CONFIG SCons option',
    'freetype-config':'freetype-config program | try setting FREETYPE_CONFIG SCons option or configure with FREETYPE_LIBS & FREETYPE_INCLUDES',
    'freetype':'libfreetype library | try setting FREETYPE_CONFIG SCons option or configure with FREETYPE_LIBS & FREETYPE_INCLUDES',
    'osm':'more info: https://github.com/mapnik/mapnik/wiki/OsmPlugin',
    'boost_regex_icu':'libboost_regex built with optional ICU unicode support is needed for unicode regex support in mapnik.',
    'sqlite_rtree':'The SQLite plugin requires libsqlite3 built with RTREE support (-DSQLITE_ENABLE_RTREE=1)',
    'pgsql2sqlite_rtree':'The pgsql2sqlite program requires libsqlite3 built with RTREE support (-DSQLITE_ENABLE_RTREE=1)'
    }

# Core plugin build configuration
# opts.AddVariables still hardcoded however...
PLUGINS = { # plugins with external dependencies
            # configured by calling project, hence 'path':None
            'postgis': {'default':True,'path':None,'inc':'libpq-fe.h','lib':'pq','lang':'C'},
            'pgraster': {'default':True,'path':None,'inc':'libpq-fe.h','lib':'pq','lang':'C'},
            'gdal':    {'default':True,'path':None,'inc':'gdal_priv.h','lib':'gdal','lang':'C++'},
            'ogr':     {'default':True,'path':None,'inc':'ogrsf_frmts.h','lib':'gdal','lang':'C++'},
            'sqlite':  {'default':True,'path':'SQLITE','inc':'sqlite3.h','lib':'sqlite3','lang':'C'},
            # plugins without external dependencies requiring CheckLibWithHeader...
            'shape':   {'default':True,'path':None,'inc':None,'lib':None,'lang':'C++'},
            'csv':     {'default':True,'path':None,'inc':None,'lib':None,'lang':'C++'},
            'raster':  {'default':True,'path':None,'inc':None,'lib':None,'lang':'C++'},
            'geojson': {'default':True,'path':None,'inc':None,'lib':None,'lang':'C++'},
            'topojson':{'default':True,'path':None,'inc':None,'lib':None,'lang':'C++'}
            }


def init_environment(env):
    env.Decider('MD5-timestamp')
    env.SourceCode(".", None)
    if os.environ.get('RANLIB'):
        env['RANLIB'] = os.environ['RANLIB']
    if os.environ.get('AR'):
        env['AR'] = os.environ['AR']

#### SCons build options and initial setup ####
env = Environment(ENV=os.environ)
init_environment(env)

def fix_path(path):
    return os.path.abspath(path)

def color_print(color,text,newline=True):
    # 1 - red
    # 2 - green
    # 3 - yellow
    # 4 - blue
    text = "\033[9%sm%s\033[0m" % (color,text)
    if not newline:
        print text,
    else:
        print text

def regular_print(color,text,newline=True):
    if not newline:
        print text,
    else:
        print text

def call(cmd, silent=False):
    stdin, stderr = Popen(cmd, shell=True, stdout=PIPE, stderr=PIPE).communicate()
    if not stderr:
        return stdin.strip()
    elif not silent:
        color_print(1,'Problem encounted with SCons scripts, please post bug report to: https://github.com/mapnik/mapnik/issues \nError was: %s' % stderr)

def strip_first(string,find,replace=''):
    if string.startswith(find):
        return string.replace(find,replace,1)
    return string

# http://www.scons.org/wiki/InstallTargets
def create_uninstall_target(env, path, is_glob=False):
    if 'uninstall' in COMMAND_LINE_TARGETS:
        if is_glob:
            all_files = Glob(path,strings=True)
            for filei in all_files:
                env.Command( "uninstall-"+filei, filei,
                [
                Delete("$SOURCE"),
                ])
                env.Alias("uninstall", "uninstall-"+filei)
        else:
            if os.path.exists(path):
                env.Command( "uninstall-"+path, path,
                [
                Delete("$SOURCE"),
                ])
                env.Alias("uninstall", "uninstall-"+path)

def shortest_name(libs):
    name = '-'*200
    for lib in libs:
        if len(name) > len(lib):
            name = lib
    return name

def rm_path(item,set,_env):
    for i in _env[set]:
        if i.startswith(item):
            _env[set].remove(i)

def sort_paths(items,priority):
    """Sort paths such that compiling and linking will globally prefer custom or local libs
    over system libraries by fixing up the order libs are passed to the compiler and the linker.

    Ideally preference could be by-target instead of global, but our SCons implementation
    is not currently utilizing different SCons build env()'s as we should.

    Overally the current approach within these scripts is to prepend paths of preference
    and append all others, but this does not give enough control (particularly due to the
    approach of assuming /usr/LIBSCHEMA and letting paths be parsed and added by pkg-config).

    In effect /usr/lib is likely to come before /usr/local/lib which makes linking against
    custom built icu or boost impossible when those libraries are available in both places.

    Sorting using a priority list allows this to be controlled, and fine tuned.
    """

    new = []
    path_types = {'internal':[],'other':[],'frameworks':[],'user':[],'system':[]}
    # parse types of paths into logical/meaningful groups
    # based on commonly encountered lib directories on linux and osx
    for i in items:
        # internal paths for code kept inside
        # the mapnik sources
        if i.startswith('#'):
            path_types['internal'].append(i)
        # Mac OS X user installed frameworks
        elif '/Library/Frameworks' in i:
            path_types['frameworks'].append(i)
        # various 'local' installs like /usr/local or /opt/local
        elif 'local' in i or '/sw' in i:
            if '/usr/local' in i:
                path_types['user'].insert(0,i)
            else:
                path_types['user'].append(i)
        # key system libs (likely others will fall into 'other')
        elif '/usr/' in i or '/System' in i or i.startswith('/lib'):
            path_types['system'].append(i)
        # anything not yet matched...
        # likely a combo of rare system lib paths and
        # very custom user paths that should ideally be
        # in 'user'
        else:
            path_types['other'].append(i)
    # build up new list based on priority list
    for path in priority:
        if path_types.has_key(path):
            dirs = path_types[path]
            new.extend(dirs)
            path_types.pop(path)
        else:
            color_print(1,'\nSorry, "%s" is NOT a valid value for option "LINK_PRIORITY": values include: %s' % (path,','.join(path_types.keys())))
            color_print(1,'\tinternal: the local directory of the Mapnik sources (prefix #) (eg. used to link internal agg)')
            color_print(1,'\tframeworks: on osx the /Library/Frameworks directory')
            color_print(1,'\tuser: any path with "local" or "/sw" inside it')
            color_print(1,'\tsystem: any path not yet matched with "/usr/","/lib", or "/System" (osx) inside it')
            color_print(1,'\tother: any paths you specified not matched by criteria used to parse the others')
            color_print(1,'\tother: any paths you specified not matched by criteria used to parse the others')
            color_print(1,'The Default priority is: %s' % ','.join(DEFAULT_LINK_PRIORITY))

=== debian/changelog ===
mapnik (3.0.12+ds-2build1) zesty; urgency=medium

  * Rebuild against new libproj12.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Nov 2016 14:42:43 +0100

mapnik (3.0.12+ds-2) unstable; urgency=medium

  * Add patch to fix 'dependencies' typo.
  * Drop unused override for hardening-no-pie.
  * Change ttf-dejavu dependency to fonts-dejavu.
  * Reorder (build) dependencies.
  * Override dh_makeshlibs to use -V.
  * Add lintian override for no-symbols-control-file.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Nov 2016 14:15:44 +0100

mapnik (3.0.12+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update watchfile to not match releases/download.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 08 Sep 2016 15:27:37 +0200

mapnik (3.0.12~rc7+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update copyright file, changes:
    - Add license & copyright for travis-command-wrapper.py

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Sep 2016 11:16:42 +0200

mapnik (3.0.12~rc6+ds-1~exp2) experimental; urgency=medium

  * Add libcurl-ssl-dev as alternative to libcurl4-gnutls-dev dependencies.
    (closes: #836057)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 30 Aug 2016 12:59:34 +0200

=== debian/control ===
--- 
+++ 
@@ -6,31 +6,31 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: scons,
-               debhelper (>= 9~),
-               libtool,
+Build-Depends: debhelper (>= 9~),
                libboost-filesystem-dev,
+               libboost-program-options-dev,
+               libboost-regex-dev,
                libboost-system-dev,
                libboost-thread-dev,
-               libboost-regex-dev,
-               libboost-program-options-dev,
+               libcairo-dev,
+               libcurl4-gnutls-dev | libcurl-ssl-dev,
+               libfreetype6-dev,
+               libgdal-dev,
                libharfbuzz-dev,
                libicu-dev,
+               libjpeg-dev,
                libmapbox-variant-dev (>= 1.1.1),
                libpng-dev,
-               libjpeg-dev,
+               libpq-dev,
+               libproj-dev,
+               libsqlite3-dev,
                libtiff-dev,
-               zlib1g-dev,
-               libfreetype6-dev,
+               libtool,
+               libwebp-dev,
                libxml2-dev,
-               libproj-dev,
-               libcairo-dev,
                pkg-config,
-               libpq-dev,
-               libgdal-dev,
-               libsqlite3-dev,
-               libcurl4-gnutls-dev,
-               libwebp-dev
+               scons,
+               zlib1g-dev
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapnik.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapnik.git
@@ -38,9 +38,9 @@
 
 Package: libmapnik3.0
 Architecture: any-amd64 i386 arm64 armel armhf powerpc ppc64el s390x alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ttf-dejavu
+Depends: fonts-dejavu,
+         ${shlibs:Depends},
+         ${misc:Depends}
 Suggests: postgis
 Description: C++ toolkit for developing GIS applications (libraries)
  Mapnik is an OpenSource C++ toolkit for developing GIS
@@ -57,31 +57,31 @@
 Package: libmapnik-dev
 Architecture: any-amd64 i386 arm64 armel armhf powerpc ppc64el s390x alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
 Section: libdevel
-Depends: ${misc:Depends},
-         libmapnik3.0 (= ${binary:Version}),
-         libc6-dev | libc-dev,
+Depends: libmapnik3.0 (= ${binary:Version}),
          libboost-filesystem-dev,
+         libboost-program-options-dev,
+         libboost-regex-dev,
          libboost-system-dev,
          libboost-thread-dev,
-         libboost-regex-dev,
-         libboost-program-options-dev,
+         libc6-dev | libc-dev,
+         libcairo2-dev,
+         libcurl4-gnutls-dev | libcurl-ssl-dev,
+         libfreetype6-dev,
+         libgdal-dev,
          libharfbuzz-dev,
          libicu-dev,
+         libjpeg-dev,
          libmapbox-variant-dev (>= 1.1.1),
          libpng-dev,
-         libjpeg-dev,
+         libpq-dev,
+         libproj-dev,
+         libsqlite3-dev,
          libtiff-dev,
+         libwebp-dev,
+         libxml2-dev,
+         pkg-config,
          zlib1g-dev,
-         libfreetype6-dev,
-         libxml2-dev,
-         libproj-dev,
-         libcairo2-dev,
-         pkg-config,
-         libpq-dev,
-         libgdal-dev,
-         libsqlite3-dev,
-         libcurl4-gnutls-dev,
-         libwebp-dev
+         ${misc:Depends}
 Recommends: mapnik-doc
 Breaks: libmapnik2-dev (<< 2.2.0+ds1-1~)
 Replaces: libmapnik2-dev (<< 2.2.0+ds1-1~)

=== debian/rules ===
--- 
+++ 
@@ -86,3 +86,6 @@
 override_dh_prep:
 	dh_prep -Xdebian/tmp
 
+override_dh_makeshlibs:
+	dh_makeshlibs -V
+

## mapnik 3.0.13+ds

=== debian/changelog ===
mapnik (3.0.13+ds-1~exp2) experimental; urgency=medium

  * Merge changes from mapnik (3.0.12+ds-3).
    (closes: #859424)
  * Drop unused lintian overrides for hardening-no-pie.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 03 Apr 2017 15:36:12 +0200

mapnik (3.0.13+ds-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Feb 2017 18:21:29 +0100

mapnik (3.0.13~rc2+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Require at least mapbox-variant 1.1.5.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 06 Feb 2017 18:57:41 +0100

mapnik (3.0.13~rc1+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Re-instate lintian override for hardening-no-pie.
  * Drop dependencies-typo.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Jan 2017 00:11:00 +0100

mapnik (3.0.12+ds-3) unstable; urgency=medium

  * Update branch in gbp.conf & Vcs-Git URL.
  * Enable PIE hardening buildflags.
    (closes: #859424)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 03 Apr 2017 14:47:38 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libharfbuzz-dev,
                libicu-dev,
                libjpeg-dev,
-               libmapbox-variant-dev (>= 1.1.1),
+               libmapbox-variant-dev (>= 1.1.5),
                libpng-dev,
                libpq-dev,
                libproj-dev,
@@ -71,7 +71,7 @@
          libharfbuzz-dev,
          libicu-dev,
          libjpeg-dev,
-         libmapbox-variant-dev (>= 1.1.1),
+         libmapbox-variant-dev (>= 1.1.5),
          libpng-dev,
          libpq-dev,
          libproj-dev,

## mapnik 3.0.15+ds

=== debian/changelog ===
mapnik (3.0.15+ds-1) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 29 Aug 2017 20:39:30 +0200

mapnik (3.0.15+ds-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 16 Jun 2017 20:22:59 +0200

mapnik (3.0.15~rc1+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 15 Jun 2017 17:58:24 +0200

mapnik (3.0.14+ds-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Jun 2017 20:09:54 +0200

mapnik (3.0.14~rc1+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update copyright years for Artem Pavlenko.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 03 Jun 2017 10:25:05 +0200

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                pkg-config,
                scons,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapnik.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapnik.git
 Homepage: http://www.mapnik.org/

## mapnik 3.0.17+ds

=== debian/changelog ===
mapnik (3.0.17+ds-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 30 Nov 2017 14:18:23 +0100

mapnik (3.0.17+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop scons-3.0.patch, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 Nov 2017 20:54:24 +0100

mapnik (3.0.16+ds-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 16 Nov 2017 18:44:31 +0100

mapnik (3.0.16~rc1+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop icu-59.patch, fixed upstream.
  * Strip trailing whitespace from changelog.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 15 Nov 2017 21:12:32 +0100

mapnik (3.0.15+ds-3) unstable; urgency=medium

  * Add patch Matthias Klose by to fix build with ICU 59.1.
    (closes: #879835)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 26 Oct 2017 18:51:20 +0200

mapnik (3.0.15+ds-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1, no changes.
  * Add patch to support scons 3.0.0.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Oct 2017 19:54:53 +0200

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                pkg-config,
                scons,
                zlib1g-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapnik.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapnik.git
 Homepage: http://www.mapnik.org/

## mapnik 3.0.18+ds

=== SConstruct ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # This file is part of Mapnik (c++ mapping toolkit)
 #
-# Copyright (C) 2015 Artem Pavlenko
+# Copyright (C) 2017 Artem Pavlenko
 #
 # Mapnik is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -16,6 +16,7 @@
 # License along with this library; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
+from __future__ import print_function # support python2
 
 import os
 import sys
@@ -99,7 +100,10 @@
     'osm':'more info: https://github.com/mapnik/mapnik/wiki/OsmPlugin',
     'boost_regex_icu':'libboost_regex built with optional ICU unicode support is needed for unicode regex support in mapnik.',
     'sqlite_rtree':'The SQLite plugin requires libsqlite3 built with RTREE support (-DSQLITE_ENABLE_RTREE=1)',
-    'pgsql2sqlite_rtree':'The pgsql2sqlite program requires libsqlite3 built with RTREE support (-DSQLITE_ENABLE_RTREE=1)'
+    'pgsql2sqlite_rtree':'The pgsql2sqlite program requires libsqlite3 built with RTREE support (-DSQLITE_ENABLE_RTREE=1)',
+    'PROJ_LIB':'The directory where proj4 stores its data files. Must exist for proj4 to work correctly',
+    'GDAL_DATA':'The directory where GDAL stores its data files. Must exist for GDAL to work correctly',
+    'ICU_DATA':'The directory where icu stores its data files. If ICU reports a path, it must exist. ICU can also be built without .dat files and in that case this path is empty'
     }
 
 # Core plugin build configuration
@@ -133,7 +137,7 @@
 init_environment(env)
 
 def fix_path(path):
-    return os.path.abspath(path)
+    return str(os.path.abspath(path))
 
 def color_print(color,text,newline=True):
     # 1 - red
@@ -142,15 +146,15 @@
     # 4 - blue
     text = "\033[9%sm%s\033[0m" % (color,text)
     if not newline:
-        print text,
+        print (text, end='')
     else:
-        print text
+        print (text)
 
 def regular_print(color,text,newline=True):
     if not newline:
-        print text,
+        print (text, end='')
     else:
-        print text
+        print (text)
 
 def call(cmd, silent=False):
     stdin, stderr = Popen(cmd, shell=True, stdout=PIPE, stderr=PIPE).communicate()
@@ -241,7 +245,7 @@
             path_types['other'].append(i)
     # build up new list based on priority list
     for path in priority:
-        if path_types.has_key(path):
+        if path in path_types:
             dirs = path_types[path]
             new.extend(dirs)
             path_types.pop(path)
@@ -249,8 +253,3 @@
             color_print(1,'\nSorry, "%s" is NOT a valid value for option "LINK_PRIORITY": values include: %s' % (path,','.join(path_types.keys())))
             color_print(1,'\tinternal: the local directory of the Mapnik sources (prefix #) (eg. used to link internal agg)')
             color_print(1,'\tframeworks: on osx the /Library/Frameworks directory')
-            color_print(1,'\tuser: any path with "local" or "/sw" inside it')
-            color_print(1,'\tsystem: any path not yet matched with "/usr/","/lib", or "/System" (osx) inside it')
-            color_print(1,'\tother: any paths you specified not matched by criteria used to parse the others')
-            color_print(1,'\tother: any paths you specified not matched by criteria used to parse the others')
-            color_print(1,'The Default priority is: %s' % ','.join(DEFAULT_LINK_PRIORITY))

=== debian/changelog ===
mapnik (3.0.18+ds-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Jan 2018 09:24:25 +0100

mapnik (3.0.18+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright-format URL to use HTTPS.
  * Bump Standards-Version to 4.1.3, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Jan 2018 17:13:45 +0100

mapnik (3.0.18~rc1+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.1.2, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Dec 2017 18:40:54 +0100

## mapnik 3.0.19%2Bds

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)(?:-?offset)?\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*?\/)?(?:rel|v|mapnik)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/mapnik-$1.$2/,\
repacksuffix=+ds \
https://github.com/mapnik/mapnik/releases \
(?:.*?archive/)?(?:rel|v|mapnik)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mapnik 3.0.19+ds

=== debian/changelog ===
mapnik (3.0.19+ds-1) unstable; urgency=medium

  * Add patch to use pkg-config when freetype-config is not available.
    (closes: #892062)
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 10 Mar 2018 09:07:21 +0100

mapnik (3.0.19+ds-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Mar 2018 16:16:15 +0100

mapnik (3.0.19~rc1+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Mar 2018 15:39:30 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                pkg-config,
                scons,
                zlib1g-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapnik.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapnik.git
 Homepage: http://www.mapnik.org/

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# Enable hardening build flags, except:
-#  pie: causes python-mapnik build failure
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 NJOBS := -j1
 ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))

## mapnik 3.0.20+ds

=== debian/changelog ===
mapnik (3.0.20+ds-2) unstable; urgency=medium

  * Strip trailing whitespace from changelog & rules files.
  * Bump Standards-Version to 4.1.5, no changes.
  * Use filter instead of findstring to prevent partial matches.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 21:18:48 +0200

mapnik (3.0.20+ds-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 14 Apr 2018 12:18:59 +0200

mapnik (3.0.20+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.4, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 Apr 2018 15:43:20 +0200

=== debian/control ===
--- 
+++ 
@@ -31,9 +31,9 @@
                pkg-config,
                scons,
                zlib1g-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapnik.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapnik.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapnik
+Vcs-Git: https://salsa.debian.org/debian-gis-team/mapnik.git
 Homepage: http://www.mapnik.org/
 
 Package: libmapnik3.0

## mapnik 3.0.21+ds

=== debian/changelog ===
mapnik (3.0.21+ds-2) unstable; urgency=medium

  * Add upstream patch to use pkg-config for freetype2.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 25 Oct 2018 15:24:53 +0200

mapnik (3.0.21+ds-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 09 Oct 2018 18:23:50 +0200

mapnik (3.0.21+ds-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Oct 2018 16:54:28 +0200

mapnik (3.0.21~rc1+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.2.1, no changes.
  * Update watch file to limit matches to archive path.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 02 Oct 2018 16:08:16 +0200

=== debian/control ===
--- 
+++ 
@@ -31,9 +31,9 @@
                pkg-config,
                scons,
                zlib1g-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapnik
-Vcs-Git: https://salsa.debian.org/debian-gis-team/mapnik.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/mapnik.git -b experimental
 Homepage: http://www.mapnik.org/
 
 Package: libmapnik3.0

## mapnik 3.0.22+ds

=== SConstruct ===
--- 
+++ 
@@ -42,7 +42,7 @@
 
 DEFAULT_CC = "cc"
 DEFAULT_CXX = "c++"
-DEFAULT_CXX11_CXXFLAGS = " -std=c++11"
+DEFAULT_CXX11_CXXFLAGS = " -std=c++11 -DU_USING_ICU_NAMESPACE=0"
 DEFAULT_CXX11_LINKFLAGS = ""
 if sys.platform == 'darwin':
     # homebrew default

=== debian/changelog ===
mapnik (3.0.22+ds-2) unstable; urgency=medium

  * Remove package name from lintian overrides.
  * Define ACCEPT_USE_OF_DEPRECATED_PROJ_API_H for PROJ 6.0.0 compatibility.
  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Jul 2019 13:48:22 +0200

mapnik (3.0.22+ds-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Jan 2019 19:38:20 +0100

mapnik (3.0.22+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Jan 2019 12:29:52 +0100

=== debian/control ===
--- 
+++ 
@@ -31,9 +31,9 @@
                pkg-config,
                scons,
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapnik
-Vcs-Git: https://salsa.debian.org/debian-gis-team/mapnik.git -b experimental
+Vcs-Git: https://salsa.debian.org/debian-gis-team/mapnik.git
 Homepage: http://www.mapnik.org/
 
 Package: libmapnik3.0

=== debian/rules ===
--- 
+++ 
@@ -7,24 +7,28 @@
 # Enable hardening build flags
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
+# Workaround for proj_api.h deprecation in PROJ 6.0.0
+export DEB_CFLAGS_MAINT_APPEND=-DACCEPT_USE_OF_DEPRECATED_PROJ_API_H
+export DEB_CXXFLAGS_MAINT_APPEND=-DACCEPT_USE_OF_DEPRECATED_PROJ_API_H
+
 NJOBS := -j1
 ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
 NJOBS := -j$(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
 endif
 
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 # Disable parallel builds for problematic architectures
-NO_PARALLEL_ARCHS = "arm64 armel armhf alpha hurd-i386 kfreebsd-i386 kfreebsd-amd64"
+NO_PARALLEL_ARCHS = arm64 armel armhf alpha hurd-i386 kfreebsd-i386 kfreebsd-amd64
 
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
 	# From mapnik (3.0.8+ds-1ubuntu1):
 	# The amd64 buildds are castrated to 4G RAM and 4G swap,
 	# the ppc64el buildds to 12G RAM and 4G swap.
-	NO_PARALLEL_ARCHS += "amd64 ppc64el"
+	NO_PARALLEL_ARCHS += amd64 ppc64el
 endif
 
-ifneq (,$(findstring $(DEB_HOST_ARCH),$(NO_PARALLEL_ARCHS)))
+ifneq (,$(filter $(DEB_BUILD_ARCH),$(NO_PARALLEL_ARCHS)))
 	NJOBS = -j1
 endif
 
@@ -87,4 +91,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V
-

## mapnik 3.0.22+ds1

=== debian/changelog ===
mapnik (3.0.22+ds1-1build3) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:02:38 +0000

mapnik (3.0.22+ds1-1build2) focal; urgency=medium

  * No-change rebuild for gdal soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2020 14:30:50 +0000

mapnik (3.0.22+ds1-1build1) focal; urgency=medium

  * Rebuild against new libproj15.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Oct 2019 13:54:18 +0200

mapnik (3.0.22+ds1-1) unstable; urgency=medium

  * New repacked upstream release.
  * Don't exclude scons from upstream tarball.
  * Add license & copyright for scons sources.
  * Use embedded copy of scons for the build.
    (closes: #936017)
  * Add lintian override for spelling-error-in-binary false positive.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 30 Aug 2019 06:44:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: mapnik
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: David Paleino <dapal@debian.org>,
            Francesco Paolo Lovergine <frankie@debian.org>,
            Jérémy Lal <kapouer@melix.org>,
@@ -29,7 +30,7 @@
                libwebp-dev,
                libxml2-dev,
                pkg-config,
-               scons,
+               python3,
                zlib1g-dev
 Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapnik

## mapnik 3.0.23%2Bds

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 endif
 
 # scons flags
-SCONS = $(shell which scons)
+SCONS = python3 $(CURDIR)/scons/scons.py
 SCONS_FLAGS := $(NJOBS)
 # -O2
 SCONS_FLAGS += OPTIMIZATION=2

## mapnik 3.0.23+ds

=== debian/changelog ===
mapnik (3.0.23+ds-2build1) hirsute; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2020 13:08:33 +0100

mapnik (3.0.23+ds-2) unstable; urgency=medium

  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Bump watch file version to 4.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Nov 2020 19:39:14 +0100

mapnik (3.0.23+ds-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Feb 2020 11:49:36 +0100

mapnik (3.0.23+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Name field from upstream metadata.
  * Add patch to use pkg-config for libxml2.
    (closes: #949412)
  * Refresh patches.
  * Add lintian override for file-references-package-build-path.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 18 Feb 2020 14:50:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: mapnik
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: David Paleino <dapal@debian.org>,
            Francesco Paolo Lovergine <frankie@debian.org>,
            Jérémy Lal <kapouer@melix.org>,
            Bas Couwenberg <sebastic@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 10~),
                libboost-filesystem-dev,
                libboost-program-options-dev,
                libboost-regex-dev,
@@ -32,7 +31,7 @@
                pkg-config,
                python3,
                zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapnik
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mapnik.git
 Homepage: http://www.mapnik.org/

=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
 SCONS_FLAGS += CUSTOM_LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS) -g0"
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_clean:
 	rm -rf build-python
